vbi_export_info Struct Reference
High Level Decoding » Exporting formatted Teletext and Closed Caption pages

Information about an export module. More...

`#include <export.h>`

## Data Fields

char * | keyword
char * | label
char * | tooltip
char * | mime_type
char * | extension

## Detailed Description

Information about an export module.

Although export modules can be accessed by a static keyword (see vbi_export_new()) they are by definition opaque. The client can list export modules for the user and manipulate them without knowing about their availability or purpose. To do so, information about the module is necessary, given in this structure.

You can obtain this information with vbi_export_info_enum().

Examples
  src/exp-templ.c.

## Field Documentation

## keyword

char* vbi_export_info::keyword

Unique (within this library) keyword to identify this export module. Can be stored in configuration files.

Referenced by vbi_export_info_keyword(), vbi_export_new(), and vbi_register_export_module().

## label

char* vbi_export_info::label

Name of the export module to be shown to the user. Can be `NULL` indicating the module shall not be listed. Clients are encouraged to localize this with dgettext("zvbi", label).

Referenced by vbi_export_new().

## tooltip

char* vbi_export_info::tooltip

A brief description (or `NULL`) for the user. Clients are encouraged to localize this with dgettext("zvbi", tooltip).

## mime_type

char* vbi_export_info::mime_type

Description of the export format as MIME type, for example "text/html". May be `NULL`.

## extension

char* vbi_export_info::extension

Suggested filename extension. Multiple strings are possible, separated by comma. The first string is preferred. Example: "html,htm". May be `NULL`.